Subject: Re: Fix to readline for case-insensitive file-name completion
From: [email-masked] (Jason Zions)

22 May 1997 23:00:12 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Reply-To: [email-masked]
X-Mailer: Mozilla 3.0 (WinNT; I)
MIME-Version: 1.0
Original-To: Curtis Galloway <[email-masked]>
Original-CC: "[email-masked]" <[email-masked]>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

> I think it's even possible to have a case-sensitive
> filesystem on a Win32 machine with an NFS client.

NTFS is by nature case-sensitive; it's the Win32 API to it that is
case-insensitive. The NT POSIX subsystem running on top of the same NTFS
filesystem is case-sensitive.

NT FAT filesystems are a little funnier. Although the filenames are
stored in case-sensitive fashion, I'm not sure if all of the filesystem
implementation code is careful to handle it correctly.

Jason

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".